package server.biome;

import common.biome.BaseBiome;
import common.entity.animal.EntitySquid;
import common.rng.WeightedList;

public class BiomeWater extends Biome {
	private final boolean river;

	public BiomeWater(BaseBiome base, boolean river) {
		super(base);
		this.river = river;
		this.disableBeach();
	}

	protected void addMobs(WeightedList<RngSpawn> mobs) {
		mobs.add(new RngSpawn(EntitySquid.class, 10, 4, 4));
	}

	public Temperature getTempCategory() {
		return this.river ? super.getTempCategory() : Temperature.SEA;
	}
}
